/*******************************************************************************
 * Copyright (C) 2005-2012 Alfresco Software Limited.
 * 
 * This file is part of the Alfresco Mobile SDK.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *  http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 ******************************************************************************/
package org.alfresco.mobile.android.api.utils.messages;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Provides utils to internationalize error exception messages.
 * 
 * @author Jean Marie Pascal
 *
 */
public final class Messagesl18n
{
    private Messagesl18n(){
    }
    
    private static final String BUNDLE_NAME = "org.alfresco.mobile.android.api.utils.messages.messages";

    private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(BUNDLE_NAME, new Locale("en","US"));

    public static String getString(String key)
    {
        try
        {
            if (key != null && key.length() > 0){
                return RESOURCE_BUNDLE.getString(key);
            } else {
                return "";
            }
        }
        catch (MissingResourceException e)
        {
            return '!' + key + '!';
        }
    }
}
